<?php

/**
 * Zone Manager
 *
 * @package zonemanager
 * @version 2.0
 * @author Bonus Themes
 * @copyright Bonus Themes 2008
 * @license GNU/GPL
 * @link http://www.bonusthemes.com/goto/zonemanager
 */

defined('ZONEMANAGER') or die('Direct Access to this location is not allowed.');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title>Διαχειριστής Ζωνών v2.0 Βοήθεια</title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<style type="text/css">
* {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}
h1 {
	font-size: 18px;
}
h2 {
	font-size: 16px;
	font-weight: bold;
	color: #5e8ef1;
	border-bottom: 1px solid #ddd;
	margin: 35px 0px 0px 0px;
	padding-bottom: 3px;
}
h3 {
	font-size: 13px;
	font-weight: bold;
	color: #007;
	border-bottom: 1px solid #ddd;
	margin: 25px 0px 0px 0px;
	padding-bottom: 0px;
}
button {
	cursor: pointer;
}
em {
	background-color: #f8f8f8;
}
dt {
	font-size: 11px;
	font-weight: bold;
	margin: 15px 0px 0px 0px;
	padding-bottom: 0px;
}
#credits {
	text-align: center;
	margin: 70px 0px 30px 0px;
}
</style>

</head>

<body>

<div style="float:right">
	<button onclick="window.print()">Εκτύπωση</button>
	<button onclick="window.close()">Κλείσιμο</button>
</div>

<h1>Διαχειριστής Ζωνών v2.0 Βοήθεια</h1>

&nbsp;
<p><strong>Περιεχόμενα</strong></p>
<ul>
	<li><a href="#introduction">Εισαγωγή</a></li>
	<li><a href="#dictionary">Λεξικό του Zone Layout</a></li>
	<li><a href="#list">Λίστα Προτύπων</a></li>
	<li><a href="#editor">Επεξεργαστής Ζωνών</a></li>
	<li><a href="#styles">Στυλ</a></li>
	<li><a href="#howto">Πως να</a></li>
	<li><a href="#support">Επιπλέον βοήθεια</a></li>
</ul>


<a name="introduction"></a>
<h2>Εισαγωγή</h2>

<p>Η τεχνολογία Zone Layout σας επιτρέπει να δημιουργείτε προσαρμοσμένες θέσεις για ενθέματα οργανωμένα σε ζώνες. Για να το καταφέρετε αυτό θα πρέπει να χρησιμοποιήσετε την εφαρμογή για Joomla! <em>Διαχειριστής Ζωνών</em>, και ένα πρότυπο για Joomla!, συμβατό με την τεχνολογία Zone Layout.</p>

<p>Με τον Διαχειριστή Ζωνών μπορείτε να διαχειρίζεστε ζώνες και θέσεις μέσα σε αυτές τις ζώνες. Μόλις δημιουργήσετε μια νέα θέση μπορείτε να πάτε στην Διαχείριση Ενθεμάτων του Joomla! και να της αναθέσετε ενθέματα. Από την πλευρά της ιστοσελίδας, το πρότυπο αναλαμβάνει να ελέγξει τα στυλ των ζωνών, θέσεων και ενθεμάτων.</p>

<p>Υπάρχουν πολλά κόλπα τα οποία μπορούν να σας βοηθήσουν να δώσετε μια όμορφη εικόνα στην ιστοσελίδα σας. Εκτός από τα <em>στυλ ενθεμάτων</em>, τα οποία είναι γνωστότερα ως <em>module suffixes</em> (ή <em>επίθημα κλάσης ενθέματος</em> στην Ελληνική τους έκδοση) στον κόσμο του Joomla!, επίσης έχετε τα <em>στυλ ομάδων</em>. Με τον Διαχειριστή Ζωνών μπορείτε να δώσετε ένα στυλ ομάδας σε μια θέση. Μπορείτε επίσης να ομαδοποιήσετε θέσεις και να της αναθέσετε ένα στυλ. Και φυσικά, μπορείτε να ομαδοποιήσετε ζώνες και να τους αναθέσετε ένα στυλ.</p>

<p>Για βοηθήματα, forums υποστήριξης και περισσότερη βοήθεια, επισκεφτείτε το <a href="http://www.bonusthemes.com">http://www.bonusthemes.com</a> .</p>


<a name="dictionary"></a>
<h2>Λεξικό του Zone Layout</h2>

<dl>
	<dt>Ένθεμα (Module)</dt>
	<dd>Ένα προσαρμοσμένο πρόγραμμα το οποίο παρουσιάζει δεδομένα σε μια τετραγωνισμένη περιοχή. Παραδείγματα: Ένθεμα σύνδεσης, Ένθεμα αναζήτησης, Ένθεμα συνδεδεμένων χρηστών. Τα ενθέματα εμφανίζονται ως τμήματα των Θέσεων.</dd>

	<dt>Επίθημα κλάσης ενθέματος (Module Suffix)</dt>
	<dd>Στυλ για ένα ένθεμα. Το όνομα αντικατοπτρίζει την εσωτερική μεθοδολογία που χρησιμοποιείται για να παρουσιάσει το στυλ: ένα επίθημα το οποίο πυροδοτεί μια προετοιμασμένη κλάση CSS.</dd>

	<dt>Ζώνη (Zone)</dt>
	<dd>Μια ζώνη είναι μια οριζόντια περιοχή η οποία περιέχει θέσεις και το κυρίως περιεχόμενο.</dd>

	<dt>Θέση (Position)</dt>
	<dd>Μια περιοχή που περιέχει ενθέματα. Στον Διαχειριστή Ζωνών υπάρχουν στατικές και δυναμικές θέσεις. Οι δυναμικές είναι αυτές που δημιουργείτε μέσα στις ζώνες.</dd>

	<dt>Κυρίως περιεχόμενο (Main body)</dt>
	<dd>Ειδικός τύπος ενθέματος ο οποίος παρουσιάζει το κυρίως περιεχόμενο της ιστοσελίδας.</dd>

	<dt>Ομάδα (Group)</dt>
	<dd>Υπάρχουν δύο είδη ομάδων: ομάδες θέσεων και ομάδες ζωνών. Η ουσία των ομάδων είναι να τους αναθέτετε στυλ ομάδας, και έτσι τα ομαδοποιημένα μέλη να εμφανίζονται ενωμένα.</dd>

	<dt>Πρότυπο (Template)</dt>
	<dd>Τα πρότυπα είναι μηχανισμοί προβολής περιεχομένου. Αναλαμβάνουν να τραβήξουν το περιεχόμενο από την βάση δεδομένων, να το οργανώσουν σε κυρίως περιεχόμενο και σε ενθέματα, θέσεις και ζώνες και να το παρουσιάσουν σε ένα αισθητικά όμορφο περιβάλλον.</dd>

	<dt>Στυλ ομάδας (Group Style)</dt>
	<dd>Τα στυλ ομάδας (ή group styles ή gstyles) κάνουν τις ομάδες θέσεων ή ομάδες ζωνών να εμφανίζονται σε μια ενιαία περιοχή.</dd>

	<dt>Στυλ ενθέματος (Module Style)</dt>
	<dd>Τα στυλ ενθεμάτων (ή module styles ή mstyles) είναι ένα καλύτερο όνομα με το οποίο αναφερόμαστε στα Επιθήματα κλάσης ενθέματως (ή module suffixes).</dd>

</dl>


<a name="list"></a>
<h2>Λίστα Προτύπων</h2>

<p>Το πρώτο πράγμα που αντικρίζετε όταν ανοίγετε τον Διαχειριστή Ζωνών είναι μια λίστα με τα πρότυπα ιστότοπου. Δίπλα σε κάθε πρότυπο υπάρχει ένα μήνυμα κατάστασης.</p>

<p>Τα πρότυπα που είναι συμβατά με την τεχνολογία Zone Layout έχουν την μορφή συνδέσμου και η κατάσταση τους εμφανίζεται με πράσινο χρώμα. Πατήστε στο όνομα του προτύπου για να μπείτε στον επεξεργαστή των ζωνών.</p>

<p>Τα πρότυπα που είναι μεν συμβατά αλλά κάποιο πρόβλημα κάνει τον Διαχειριστή Ζωνών μη λειτουργικό έχουν ένα μήνυμα κατάστασης σε κόκκινο χρώμα. Τα μηνύματα κατάστασης μπορούν να πατηθούν, και εάν τα πατήσετε θα δείτε μια πιο ενδελεχή περιγραφή του προβλήματος. Τα ποιο συχνά προβλήματα έχουν σχέση με τα δικαιώματα σε συγκεκριμένα αρχεία στον κατάλογο του προτύπου. Ποιο συγκεκριμένα, ο διακομιστής χρειάζεται να έχει δικαιώματα εγγραφής στα αρχεία <em>zl_config.php</em> και <em>templateDetails.xml</em>. Ο,τιδήποτε κι αν είναι το πρόβλημα, πατήστε στο μήνυμα κατάστασης για να διαβάσετε μια αναλυτική περιγραφή.</p>

<p>Στο τέλος της λίστας υπάρχουν τα πρότυπα που δεν είναι συμβατά με την τεχνολογία Zone Layout και το μήνυμα κατάστασης τους εμφανίζεται με γκρι χρώμα.</p>


<a name="editor"></a>
<h2>Επεξεργαστής Ζωνών</h2>

<p>Όταν επιλέξετε ένα πρότυπο από την λίστα θα μπείτε στον Επεξεργαστή Ζωνών. Στο επάνω μέρος της οθόνης μπορείτε να δείτε κουμπιά ελέγχου, στην κυρίως περιοχή μπορείτε να επεξεργαστείτε τις ζώνες και στο κάτω μέρος υπάρχουν συμπληρωματικές πληροφορίες και υπηρεσίες..</p>

<p>Ένα σημαντικό πράγμα που πρέπει να θυμάστε για τον επεξεργαστή είναι ότι ό,τι αλλαγές κάνετε, θα πρέπει να πατήσετε το κουμπί <em>Εφαρμογή</em> για να τις σώσετε.</p>


<h3>Εργαλεία στην επάνω περιοχή</h3>

<dl>
	<dt>Λίστα Προτύπων &amp; Όνομα προτύπου</dt>
	<dd>Αυτοί είναι δύο διαφορετικοί σύνδεσμοι. Πατήστε στην Λίστα Προτύπων για να πάτε πίσω στην λίστα με τα πρότυπα. Πατήστε στο όνομα του προτύπου για να πάτε στην ιστοσελίδα του δημιουργού του προτύπου.</dd>

	<dt>Προβολή στατικών / Απόκρυψη στατικών</dt>
	<dd>Πατήστε αυτό το κουμπί για να προβάλετε ή να αποκρύψετε τις περιοχές με τις στατικές κανονικές θέσεις. Αποκρύπτοντας τις στατικές περιοχές έχετε περισσότερο χώρο για να επεξεργαστείτε τις ζώνες.</dd>

	<dt>Βοήθεια</dt>
	<dd>Προβάλει ένα παράθυρο με οδηγίες χρήσης.</dd>

	<dt>Κενό</dt>
	<dd>Χρησιμοποιήστε αυτό το κουμπί για να ελέγξετε το κενό μεταξύ των θέσεων και των ζωνών. Το κενό πρέπει να είναι ένας ακέραιος αριθμός ο οποίος αντιπροσωπεύει εικονοστοιχεία.</dd>

	<dt>Πλάτος</dt>
	<dd>Χρησιμοποιήστε αυτό το κουμπί για να ελέγξετε το συνολικό πλάτος της ιστοσελίδας. Το πλάτος πρέπει να είναι ένας ακέραιος αριθμός ο οποίος αντιπροσωπεύει εικονοστοιχεία.</dd>

	<dt>Προεπισκόπηση</dt>
	<dd>Πατήστε την προεπισκόπηση για να ανοίξετε ένα νέο παράθυρο το οποίο προβάλει την ιστοσελίδα. Θυμηθείτε ότι <u>πρέπει να πατήσετε το κουμπί Εφαρμογή πριν ανοίξετε την προεπισκόπηση</u>.</dd>

	<dt>Επαναφορά</dt>
	<dd>Πατήστε το κουμπί Επαναφορά για να ξανά φορτώσετε την σελίδα. Αυτό θα ακυρώσει ό,τι αλλαγές έχετε κάνει.</dd>

	<dt>Εφαρμογή</dt>
	<dd>Πατήστε το κουμπί Εφαρμογή για να σώσετε τις αλλαγές σας.</dd>

</dl>


<h3>Περιοχή ζωνών και κανονικών θέσεων</h3>

<p>Στο κυρίως μέρος της οθόνης μπορείτε να βρείτε εργαλεία που θα σας βοηθήσουνε να διαχειριστείτε τις ζώνες και τις κανονικές θέσεις. Κάθε στοιχείο σε αυτή την περιοχή έχει ένα κουμπί με το οποίο μπορείτε να ανοίγετε ένα μενού με σχετικές ενέργειες.</p>

<p>Η βασική ιδέα είναι να δημιουργήσετε ζώνες και να προσθέσετε θέσεις μέσα τους. Μόλις μια νέα θέση προστεθεί μπορείτε να χρησιμοποιήσετε την Διαχείριση Ενθεμάτων του Joomla! για να τους αναθέσετε ενθέματα. Μέσα από τον Διαχειριστή Ζωνών μπορείτε επίσης να ομαδοποιείτε θέσεις, ή ζώνες και να τους αναθέτετε στυλ και έτσι να εμφανίζονται ενωμένα. Μπορείτε να κάνετε συνδυασμούς με στυλ σε ξεχωριστές θέσεις ή ζώνες, και με στυλ σε ομάδες θέσεων ή στυλ σε ομάδες ζωνών.</p>

<p>Υπάρχουν πολλοί τρόποι να ελέγχετε τις θέσεις και τις ζώνες. Προχωρήστε και πατήστε το μενού για να εξερευνήσετε τις διαθέσιμες επιλογές. Μπορείτε να μετακινήσετε τις ζώνες πάνω ή κάτω, να αποκόψετε και να επικολλήσετε θέσεις και άλλα.</p>

<p>Οι ακόλουθες ενότητες περιέχουν περισσότερες πληροφορίες για τις ομάδες και τα στυλ.</p>


<h3>Εργαλεία στην κάτω περιοχή</h3>

<dl>
	<dt>Διαθέσιμα στυλ ομάδων</dt>
	<dd>Αυτή είναι μια λίστα με διαθέσιμα στυλ που μπορείτε να χρησιμοποιήσετε για τις ομάδες και τις θέσεις σας.</dd>

	<dt>Ομάδες σε χρήση</dt>
	<dd>Αυτή είναι μια δυναμική λίστα η οποία προβάλει τις ομάδες που δημιουργείτε για τις ζώνες και τις θέσεις. Δίπλα σε κάθε ομάδα έχετε ένα πλαίσιο κειμένου το οποίο σας επιτρέπει να ορίσετε ένα στυλ για την ομάδα. Όταν αναθέτετε ένα στυλ το οποίο δεν υποστηρίζεται τότε το πλαίσιο κειμένου γίνεται κόκκινο.</dd>

	<dt>Προειδοποιήσεις</dt>
	<dd>Αυτή είναι μια λίστα με προειδοποιήσεις που δημιουργούνται καθώς επεξεργάζεστε τις ζώνες.</dd>

</dl>


<a name="styles"></a>
<h2>Στυλ</h2>

<p>Στην τεχνολογία Zone Layout υπάρχουν δύο ξεχωριστά είδη στυλ. Υπάρχουν τα στυλ που διακοσμούν ενθέματα τα οποία είναι γνωστότερα ως <em>module suffixes</em> (ή <em>επίθημα κλάσης ενθέματος</em> στην Ελληνική τους έκδοση) στον κόσμο του Joomla!. Αυτά εμείς τα ονομάζουμε στυλ ομάδων (module styles) ή απλούστερα <em>mstyles</em>. Στην συνέχεια, υπάρχουν τα στυλ ομάδων. Αυτά εμείς τα ονομάζουμε στυλ ομάδων (group styles) ή απλούστερα <em>gstyles</em>.</p>

<p>Με τον Διαχειριστή Ζωνών μπορείτε να αναθέτετε στυλ ομάδων (gstyles) στις ομάδες σας, ή σε σκέτες ζώνες και θέσεις. Τα στυλ ενθεμάτων μπορείτε να τα αναθέτετε χρησιμοποιώντας την Διαχείριση Ενθεμάτων του Joomla! ορίζοντας ένα επίθημα κλάσης ενθέματος (module suffix).</p>

<p>Κάθε πρότυπο έχει τα δικά του gstyles και ο Διαχειριστής Ζωνών έχει έναν εσωτερικό μηχανισμό να το αντιλαμβάνεται. Οποτεδήποτε προσπαθήσετε να αναθέσετε ένα στυλ ομάδας το οποίο δεν υποστηρίζεται από το πρότυπο, ο Διαχειριστής Ζωνών το βάφει κόκκινο και δημιουργεί ένα μήνυμα προειδοποίησης στην κάτω δεξιά γωνία.</p>



<a name="howto"></a>
<h2>Πως να</h2>

<h3>Πως να δημιουργήσετε μια ζώνη</h3>
<p>Για να δημιουργήσετε μια ζώνη πατήστε το κουμπί <em>Πρόσθεση Ζώνης</em> στο κάτω μέρος της οθόνης. Ένας άλλος τρόπος να δημιουργήσετε μια ζώνη είναι να ανοίξετε το μενού μιας υπάρχουσας ζώνης και να χρησιμοποιήσετε τις διαθέσιμες επιλογές για να δημιουργήσετε μια ζώνη από πάνω ή από κάτω της.</p>

<h3>Πως να δημιουργήσετε μια θέση σε μια ζώνη</h3>
<p>Για να δημιουργήσετε μια θέση σε μια ζώνη, ανοίξτε το μενού της ζώνης και χρησιμοποιήστε τις διαθέσιμες επιλογές για να δημιουργήσετε μια νέα θέση στην αρχή ή στο τέλος της ζώνης. Ένας άλλος τρόπος για να δημιουργήσετε μια θέση είναι να ανοίξετε το μενού μιας υπάρχουσας θέσης και να χρησιμοποιήσετε τις υπάρχουσες επιλογές για να δημιουργήσετε μια νέα θέση στην αριστερή ή στη δεξιά της πλευρά.</p>

<h3>Πως να δημιουργήσετε ομάδες ζωνών</h3>
<p>Ανοίξτε το μενού μιας ζώνης και ορίστε ένα όνομα ομάδας. Μετά ανοίξτε το μενού μιας άλλης ζώνης και ορίστε το ίδιο όνομα ομάδας. Επαναλάβετε το ίδιο για άλλες ζώνες που θέλετε να προσθέσετε στην ομάδα. Όταν είστε έτοιμοι, πηγαίνετε στο κάτω μέρος της σελίδας και ορίστε ένα στυλ για αυτή την ομάδα. Προσοχή: Σιγουρευτείτε ότι οι ζώνες σε αυτή την ομάδα είναι όλες δίπλα η μια στην άλλη και ότι δεν έχετε χρησιμοποιήσει το ίδιο όνομα ομάδας για θέσεις.</p>

<h3>Πως να δημιουργήσετε ομάδες θέσεων</h3>
<p>Ανοίξτε το μενού μιας θέσης και ορίστε ένα όνομα ομάδας. Μετά ανοίξτε το μενού μιας άλλης θέσης και ορίστε το ίδιο όνομα ομάδας. Επαναλάβετε το ίδιο για άλλες θέσεις που θέλετε να προσθέσετε στην ομάδα. Όταν είστε έτοιμοι, πηγαίνετε στο κάτω μέρος της σελίδας και ορίστε ένα στυλ για αυτή την ομάδα. Προσοχή: Σιγουρευτείτε ότι οι θέσεις σε αυτή την ομάδα είναι όλες δίπλα η μια στην άλλη και ότι δεν έχετε χρησιμοποιήσει το ίδιο όνομα ομάδας για ζώνες</p>



<a name="support"></a>
<h2>Επιπλέον βοήθεια</h2>

<p>Για επιπλέον βοήθεια επισκεφτείτε το <a href="http://www.bonusthemes.com">http://www.bonusthemes.com</a> .</p>


<p id="credits">Ο Διαχειριστής Ζωνών είναι μια εφαρμογή GNU/GPLv2 δημιουργημένη από την <a href="http://www.creativepulse.eu" target="_blank">Creative Pulse</a> και την <a href="http://www.mediagrafix.gr" target="_blank">Mediagrafix</a> για το <a href="http://www.bonusthemes.com" target="_blank">Bonus Themes</a>.
<br/>(C)2008 Bonus Themes. Όλα τα δικαιώματα είναι κατοχυρωμένα.</p>

</body>

</html>
